#include <iostream>
using namespace std;

class myclass {
public:
	myclass();
	myclass(const myclass &o);
	myclass f();
	~myclass();
};

myclass::myclass()
{
	cout << "通常のコンストラクター\n";
}
myclass::myclass(const myclass &o)
{
	cout << "コピーコンストラクター\n";
}
myclass::~myclass()
{
	cout << "デストラクタ\n";
}
myclass myclass::f(){
	cout << "myclass temp\n";
	myclass temp;
	cout <<"return temp\n";
	return temp;
}
int main()
{
	cout << "myclass obj\n";
	myclass obj;
	cout << "obj = obj.f()\n";
	obj = obj.f();
	cout << "return 0\n";
	return 0;
}

